"use strict";

module.exports = function (vorpal) {
  var chalk = vorpal.chalk;
  var b = chalk.blue;
  var y = chalk.yellow;
  var r = chalk.red;
  var c = chalk.cyan;
  var g = chalk.grey;
  var bold = chalk.bold;
  var help = "\n                     " + bold("SUMMARY OF LESS COMMANDS") + "\n\n        Commands marked with " + r("*") + " may be preceded by a number, N.\n        Notes in parentheses indicate the behavior if N is given.\n        A key preceded by a caret indicates the " + y("Ctrl") + " key; thus " + y("^") + b("K") + " is " + y("ctrl-") + b("K") + ".\n\n    " + b("h  H            ") + "     Display this help.\n    " + b("q  :q  Q  :Q  ZZ") + "     Exit.\n    " + g("---------------------------------------------------------------------------") + "\n\n                             " + bold("MOVING") + "\n\n    " + b("e  " + y("^") + "E  j  ^N  CR  " + r("*")) + "  Forward  one line   (or N lines).\n    " + b("y  " + y("^") + "Y  k  " + y("^") + "K  " + y("^") + "P  " + r("*")) + "  Backward one line   (or N lines).\n    " + b("f  " + y("^") + "F  " + y("^") + "V  " + c("SPACE") + "  " + r("*")) + "  Forward  one window (or N lines).\n    " + b("b  " + y("^") + "B  " + c("ESC-v") + "      " + r("*")) + "  Backward one window (or N lines).\n    " + b("z                 " + r("*")) + "  Forward  one window (and set window to N).\n    " + b("w                 " + r("*")) + "  Backward one window (and set window to N).\n    " + b(c("ESC-SPACE") + "         " + r("*")) + "  Forward  one window, but don't stop at end-of-file.\n    " + b("d  " + y("^") + "D             " + r("*")) + "  Forward  one half-window (and set half-window to N).\n    " + b("u  " + y("^") + "U             " + r("*")) + "  Backward one half-window (and set half-window to N).\n    " + b(c("ESC-") + ")  " + c("RightArrow") + " " + r("*")) + "  Left  one half screen width (or N positions).\n    " + b(c("ESC-") + "(  " + c("LeftArrow") + "  " + r("*")) + "  Right one half screen width (or N positions).\n          ---------------------------------------------------\n          Default \"window\" is the screen height.\n          Default \"half-window\" is half of the screen height.\n    " + g("---------------------------------------------------------------------------") + "\n\n                             " + bold("JUMPING") + "\n\n    " + b("g  <  " + c("ESC-") + "<") + "       " + r("*") + "  Go to first line in file (or line N).\n    " + b("G  >  " + c("ESC-") + ">") + "       " + r("*") + "  Go to last line in file (or line N).\n    " + b("p  %       ") + "       " + r("*") + "  Go to beginning of file (or N percent into file).\n          ---------------------------------------------------\n\n                      " + bold("MISCELLANEOUS COMMANDS") + "\n\n    " + b("V") + "                    Print version number of \"less\".\n   " + g("---------------------------------------------------------------------------") + "\n\n                             " + bold("OPTIONS") + "\n\n          Most options may be changed either on the command line,\n          or from within less by using the - or -- command.\n          Options may be given in one of two forms: either a single\n          character preceded by a -, or a name preceded by --.\n\n    " + b("/?  ........  --help") + "\n                    Display help (from command line).\n    " + b("-F  ........  --quit-if-one-screen") + "\n                    Quit if entire file fits on first screen.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n";
  return help;
};